package com.gingersoft.gsa.cloud.common.webview;

import com.billy.cc.core.component.CC;
import com.billy.cc.core.component.CCResult;
import com.billy.cc.core.component.IComponentCallback;
import com.gingersoft.gsa.cloud.common.constans.PrintConstans;
import com.gingersoft.gsa.cloud.common.logan.LoganManager;
import com.gingersoft.gsa.cloud.component.ComponentName;

/**
 * @作者: bin
 * @創建時間: 2020-12-18 19:26
 * @更新時間: 2020-12-18 19:26
 * @描述:
 */
public class WebviewHelper {

    public static final String TYPE_KEY = "type_key";
    public static final String TITLE_KEY = "title_key";
    public static final String URL_KEY = "url_key";
    public static final String CONTENT_KEY = "content_key";

    public static final String RIGHT_IMG_TYPE = "right_img_type";

    public static final int RIGHT_TYPE_NULL = 0;
    public static final int RIGHT_TYPE_SHARE = 201;
    public static final int RIGHT_TYPE_REFRESH = 202;


    public static final void openUrl(String url){
        CC.obtainBuilder(ComponentName.COMPONENT_WEBVIEW)
                .setActionName("openWebActivity")
                .addParam(WebviewHelper.URL_KEY, url)
                .build()
                .call();
    }
}
